import os
import time

def delete_old_files(directory, days):
    current_time = time.time()
    age_in_seconds = days * 86400

    for filename in os.listdir(directory):
        file_path = os.path.join(directory, filename)
        if os.path.isfile(file_path):
            file_age = os.stat(file_path).st_mtime

            if current_time - file_age > age_in_seconds:
                os.remove(file_path)
                print(f"{filename} was removed")

directory = "G:\Pr - Copy"
days = 7
delete_old_files(directory, days)